      PROGRAM PICK

C     Picks the test problem parameters randomly 

      DATA ISEED / pick a seed /

C     Following funtion picks a random value from a uniform distribution
C     on the interval [a, b].
C     Random number is rounded to 1 part in 50

      RANAB( A, B ) = A + ( B - A ) *
     &                NINT( 50.0 * RAN( ISEED ) ) / 50.0

      WRITE( *, * ) 'Colored noise case:'
      WRITE( *, * ) '   Subcase a:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase b:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase c:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * )

      WRITE( *, * ) 'SSP mismatch case:'
      WRITE( *, * ) '   c(   0 ) = ', RANAB( 1497.5, 1502.5 )
      WRITE( *, * ) '   c( 100 ) = ', RANAB( 1477.5, 1482.5 )
      WRITE( *, * ) '   Subcase a:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase b:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase c:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * )

      WRITE( *, * ) 'General mismatch case:'
      WRITE( *, * ) '   c(   0 )    = ', RANAB( 1497.5, 1502.5 )
      WRITE( *, * ) '   c(  DW )    = ', RANAB( 1477.5, 1482.5 )
      WRITE( *, * ) '   DW          = ', RANAB( 100.0, 105.0 )
      WRITE( *, * ) '   csed(  DW ) = ', RANAB( 1550.0, 1650.0 )
      WRITE( *, * ) '   csed( 200 ) = ', RANAB( 1650.0, 1850.0 )
      WRITE( *, * ) '   alpha       = ', RANAB( 0.1, 0.6 )
      WRITE( *, * ) '   rho         = ', RANAB( 1.5, 2.0 )
      WRITE( *, * ) '   Subcase a:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase b:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase c:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * )

      WRITE( *, * ) 'Sloping bottom case:'
      WRITE( *, * ) '   c(   0 )    = ', RANAB( 1497.5, 1502.5 )
      WRITE( *, * ) '   c( DW1 )    = ', RANAB( 1477.5, 1482.5 )
      WRITE( *, * ) '   DW1         = ', RANAB( 100.0, 105.0 )
      WRITE( *, * ) '   DW2         = ', RANAB( 100.0, 105.0 )
      WRITE( *, * ) '   csed( DW1 ) = ', RANAB( 1550.0, 1650.0 )
      WRITE( *, * ) '   csed( 200 ) = ', RANAB( 1650.0, 1850.0 )
      WRITE( *, * ) '   alpha       = ', RANAB( 0.1, 0.6 )
      WRITE( *, * ) '   rho         = ', RANAB( 1.5, 2.0 )
      WRITE( *, * ) '   Subcase a:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase b:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * ) '   Subcase c:'
      WRITE( *, * ) '      DEPTH = ', RANAB( 0.0, 100.0 )
      WRITE( *, * ) '      RANGE = ', RANAB( 5.0,  10.0 )
      WRITE( *, * )

      STOP
      END
